/* directo.css */

.logo {
  margin-bottom: 1rem;
}
.page-title {
  font-size: clamp(26px, 2.7vw, 52px);
  font-weight: bold;
  margin-bottom: 2rem;

  background-color: #ffffff;
  text-align: center;
}

.titulo-grupo {
  color: #263065;
}

.titulo-directo {
  color: #e83c3d;
  margin-left: 0.3em;
}
.header-container {
  position: relative;
  width: 100%;
  display: flex;
  justify-content: center;
}

.anuncio-image {
  display: block;
  max-width: 100%;
  height: auto;
}

.header-image {
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  width: 40%;
  height: auto;
  z-index: 2;

  animation: pulso-header-image 2.5s ease-in-out infinite;
}
.presale-image {
  position: absolute;
  bottom: 2rem;
  left: 2rem;
  width: 50%;
  max-width: 30rem;
  height: auto;
  z-index: 3;
}
.cortometraje-image {
  position: absolute;
  bottom: 2rem;
  right: 9rem;
  width: 50%;
  max-width: 200px;
  height: auto;
  z-index: 3;

  animation: pulso-cortometraje 2.5s ease-in-out infinite;
}

@keyframes pulso-header-image {
  0%,
  100% {
    transform: translateX(-50%) scale(1);
  }

  50% {
    transform: translateX(-50%) scale(1.25);
  }
}

@keyframes pulso-cortometraje {
  0%,
  100% {
    transform: scale(1) rotate(0deg);
  }

  25% {
    transform: scale(1.04) rotate(-2deg);
  }

  50% {
    transform: scale(1.06) rotate(2deg);
  }

  75% {
    transform: scale(1.04) rotate(-2deg);
  }
}

.marquee {
  width: 100%;
  overflow: hidden;
  white-space: nowrap;
  font-size: clamp(26px, 2.7vw, 52px);
  font-weight: bold;
}

.marquee-content {
  display: inline-block;
  padding-left: 100%;
  animation-name: marquee-derecha-izquierda;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
}

/* ============================================================
   PREVENTA
   ============================================================ */

.preventa-marquee {
  background-color: #efe6d6;
  color: #e83c3d;
}

.preventa-marquee .marquee-content {
  animation-duration: 12s;
}

.preventa-marquee span:first-child {
  color: #e83c3d;
}

.preventa-marquee .fecha-preventa {
  color: #000000;
}

/* ============================================================
   VENTA GENERAL
   ============================================================ */

.venta-marquee {
  background-color: #263686;
}

.venta-marquee .marquee-content {
  animation-duration: 8s;
}

.venta-marquee span:first-child {
  color: #ffffff;
}

.venta-marquee span:last-child {
  color: #e43b3e;
}

/* ============================================================
   ANIMACIÓN
   ============================================================ */

@keyframes marquee-derecha-izquierda {
  from {
    transform: translateX(0);
  }

  to {
    transform: translateX(-100%);
  }
}
